<style>
    .removeRow {
        margin-left: 10px;
    }
    .cm_operator {
        width: 230px !important;
    }

    .well {
        box-sizing: border-box;
    }
    .netsuite_salesorder_conditional_mapping {border: none;}

    .w3-panel {
        margin-top: 6px !important;
    }
    .w3-note {
        background-color: #ffffcc;
        border-left: 6px solid #ffeb3b;
        margin-top: 16px!important;
    }
    .w3-panel {
        padding: 0.01em 16px;
        margin-top: 16px!important;
        margin-bottom: 16px!important;
    }
    p {
        display: block;
        -webkit-margin-before: 1em;
        -webkit-margin-after: 1em;
        -webkit-margin-start: 0px;
        -webkit-margin-end: 0px;
    }
</style>
<div id="in8_page_<?php echo In8_SalesOrder::$optionsTag; ?>" class="in8_page container-fluid">
    <div class="row">
         <div class="col-xs-6">
             <h3>Sales Orders Settings</h3>
         </div>
         <div class="col-xs-6">
            <a style="float: right;margin-right: 1%; margin-bottom: 1%;" href="?reprocess_remaining_orders=1" class="btn btn-warning reprocessFailedOrder">Reprocess Failed Orders</a>
        </div>        
    </div>
    <div class="row">

        <div class="col-xs-6">
            <div class="well">
                <h4>Configurable options</h4>
                <form class="in8_ajax_form_save" role="form">
                    <div class="form-group">
                        <input type="checkbox" class="co_enable_so_sync form-control" name="co[enable_so_sync]" <?php
                            if ((isset($co_options['enable_so_sync']) && $co_options['enable_so_sync'] == 'on')) {
                                echo "checked";
                            }
                        ?>> 
                        <label>Enable Sales Order Sync</label>
                        <span class="woocommerce-help-tip" data-tip="Mark this option to sync Orders to NetSuite"></span>
                    </div>
                    <div style="border:1px solid #e3e3e3; padding: 8px; margin: 10px;">
                        <div class="form-group">
                            <label>
                                By default, order is synced  when its status changes to Processing
                            </label>
                        </div>
                        <div class="form-group">OR</div>
                        <div class="form-group">
                            <input class="form-control" id="sync_on_creation" type="checkbox" name="co[sync_on_creation]" <?php
                                if (isset($co_options['sync_on_creation']) && $co_options['sync_on_creation'] == 'on') {
                                    echo "checked";
                                }
                            ?>> <label>Sync order on creation (before payment)</label>
                            <span class="woocommerce-help-tip" data-tip="This option will send order to NetSuite when order data is validated and before payment method"></span>
                        </div>
                        <div class="form-group">OR</div>
                        <div class="form-group">
                            <input class="form-control" id="sync_on_hold" type="checkbox" name="co[sync_on_hold]" <?php
                                if (isset($co_options['sync_on_hold']) && $co_options['sync_on_hold'] == 'on') {
                                    echo "checked";
                                }
                            ?>> <label>Sync order when status changes to On Hold</label>
                            <span class="woocommerce-help-tip" data-tip="This option will send order to NetSuite when order status is changed to 'on hold'"></span>
                        </div>
						<div class="form-group">OR</div>
						<div class="form-group">
                            <input class="form-control" id="sync_cancelled" type="checkbox" name="co[sync_cancelled]" <?php
                                if (isset($co_options['sync_cancelled']) && $co_options['sync_cancelled'] == 'on') {
                                    echo "checked";
                                }
                            ?>> <label>Sync order when status changes to Cancelled</label>
                            <span class="woocommerce-help-tip" data-tip="This option will send order to NetSuite when order status is changed to 'cancelled'"></span>
                        </div>
                        <div class="form-group">OR</div>
                        <div class="form-group">
                            <input class="form-control" id="sync_on_payment_complete" type="checkbox" name="co[sync_on_payment_complete]" <?php
                                if (isset($co_options['sync_on_payment_complete']) && $co_options['sync_on_payment_complete'] == 'on') {
                                    echo "checked";
                                }
                            ?>> <label>Sync order when payment is marked as complete</label>
                            <span class="woocommerce-help-tip" data-tip="This option will send order to NetSuite when woocommerce trigger payment complete hook.This triggers after order status Processing."></span>
                        </div>
                    </div>
                    <div class="form-group">
                        <input class="form-control" type="checkbox" name="co[sync_failed_orders_cron]" <?php
                            if (isset($co_options['sync_failed_orders_cron']) && $co_options['sync_failed_orders_cron'] == 'on') {
                                echo "checked";
                            }
                        ?>> <label>Enable unsyced orders cronjob</label>
                        <span class="woocommerce-help-tip" data-tip="Set a cronjob to run hourly and send orders to NS."></span>
                    </div>
					<div class="form-group">
		                <?php
			                $unsynced_orders_options = [
				                '1yr' => "Everything in the past year",
				                '6mo'	=> 'Past 6 months',
				                '1mo'	=> 'Past month',
				                '1wk'	=> 'Past week',
			                ]
		                ?>
						<label>
							Unsynced Orders Interval
						</label>
						<span class="woocommerce-help-tip" data-tip="How far back should we look for unsynced orders"></span>
						<select class="form-control" name="co[unsynced_orders_track]" style="width: 250px;" <?php
		                ?>>
							<option value="null">Everything</option>
			                <?php foreach ($unsynced_orders_options as $key => $optionTitle) { ?>
								<option <?php
					                if ( isset($co_options['unsynced_orders_track']) && $co_options['unsynced_orders_track'] == $key) {
						                echo "selected";
					                }
				                ?> value="<?php echo $key; ?>"><?php echo $optionTitle; ?></option>
			                <?php } ?>
						</select>
					</div>
					
                    <div class="form-group">
                        <input class="form-control in8HideBasedOnValue" data-val="1" data-target="#in8DoNotSyncConditions" type="checkbox" name="co[do_not_sync_ns_orders]" <?php
                            if ( empty($co_options) || (isset($co_options['do_not_sync_ns_orders']) && $co_options['do_not_sync_ns_orders'] == 'on') ) {
                                echo "checked";
                            }
                        ?>> <label>Don't sync NetSuite orders?</label>
                        <span class="woocommerce-help-tip" data-tip="Stop NS orders from syncing back."></span>
                    </div>
                    <div id="in8DoNotSyncConditions">
						<h3>Conditions:</h3>
						<div class="form-group">
							<input class="form-control" type="checkbox" name="co[do_not_sync_ns_orders_created_via]" <?=
								empty($co_options) || $co_options['do_not_sync_ns_orders_created_via'] == 'on' ? 'checked' : ''
		                    ?>> <label>Check for Created Via Field</label>
						</div>
						<div class="form-group">
							<input class="form-control" type="checkbox" name="co[do_not_sync_ns_orders_payment_method]" <?=
								$co_options['do_not_sync_ns_orders_payment_method'] == 'on' ? 'checked' : ''
							?>> <label>Check for Payment Method Field</label>
						</div>
						<div class="form-group">
							<input class="form-control" type="checkbox" name="co[do_not_sync_ns_orders_delay_sync]" <?=
								$co_options['do_not_sync_ns_orders_delay_sync'] == 'on' ? 'checked' : ''
							?>> <label>Delay resync for 1 minute</label>
						</div>
						<hr>
					</div>
					
                    <div class="form-group">
                        <input class="form-control" type="checkbox" name="co[currency]" <?php
                            if (isset($co_options['currency']) && $co_options['currency'] == 'on') {
                                echo "checked";
                            }
                        ?>> <label>Send currency with Order</label>
                        <span class="woocommerce-help-tip" data-tip="Send currency to NetSuite with order data"></span>
                    </div>
                    <div class="form-group">
                        <input class="form-control" type="checkbox" name="co[enable_coupon]" <?php
                            if (isset($co_options['enable_coupon']) && $co_options['enable_coupon'] == 'on') {
                                echo "checked";
                            }
                        ?>> <label>Enable Coupons</label>
                        <span class="woocommerce-help-tip" data-tip="Enable discount coupons"></span>
						
						<input class="form-control" type="checkbox" name="co[enable_discountitem]" <?php
                            if (isset($co_options['enable_discountitem']) && $co_options['enable_discountitem'] == 'on') {
                                echo "checked";
                            }
                        ?>> <label>Use Discount Item</label>
                        <span class="woocommerce-help-tip" data-tip="Requires Enable Coupon. When you enable Discount Item, it will send the Discount Amount on the order over as a negative Discount Rate, to ensure the discount amount is set in NetSuite."></span>
					</div>
					<div class="form-group">
						<input class="form-control" type="checkbox" name="co[enable_sendline]" <?php
                            if (isset($co_options['enable_sendline']) && $co_options['enable_sendline'] == 'on') {
                                echo "checked";
                            }
                        ?>> <label>Send Discount As Line Item</label>
                        <span class="woocommerce-help-tip" data-tip="Send the discount item as a line item"></span>
						
                    </div>
					<div class="form-group">
                        <input class="form-control" type="checkbox" name="co[coupon_text]" <?php
                            if (isset($co_options['coupon_text']) && $co_options['coupon_text'] == 'on') {
                                echo "checked";
                            }
                        ?>> <label>Send Coupon Text Only</label>
                        <span class="woocommerce-help-tip" data-tip="Send coupon text only"></span>
                    </div>
					<div class="form-group">
                        <input class="form-control" type="checkbox" name="co[use_gift_certificate]" <?php
                            if (isset($co_options['use_gift_certificate']) && $co_options['use_gift_certificate'] == 'on') {
                                echo "checked";
                            }
		                ?>> <label>Use Gift Certificate OR Gift Voucher</label>
						<span class="woocommerce-help-tip" data-tip="If this is enabled and a giftcertificate or voucher is purchased the giftcertrecipientname, giftcertrecipientemail, giftcertfrom fields will be sent on line item. In order to use this feature you must have a product using the giftcertificate or giftvoucher sku."></span>
                    </div>



                    
                    <div class="form-group">
                        <input class="form-control" type="checkbox" name="co[enable_subscription]" <?php
			                if (isset($co_options['enable_subscription']) && $co_options['enable_subscription'] == 'on') {
				                echo "checked";
			                }
		                ?>> <label>Enable Subscriptions</label>
                        <span class="woocommerce-help-tip" data-tip="Enable subscription"></span>
                    </div>
	                <?php if( In8_SalesOrder::testFeature('enable_subscription') ){ ?>
                        <div class="form-group">
                            <label>Subscription recurrence options</label>
                            <input type="text" class="form-control" name="co[subscription_recurrence_options]" placeholder="single event=>1,monthly=>2,annual=>3" value="<?php
                                if ((isset($co_options['subscription_recurrence_options']))) {
                                    echo $co_options['subscription_recurrence_options'];
                                }
                            ?>">
                        </div>
	                <?php } ?>
                    

                    <div class="form-group">
                        <input class="form-control" type="checkbox" name="co[enable_product_bundles]" <?php
			                if (isset($co_options['enable_product_bundles']) && $co_options['enable_product_bundles'] == 'on') {
				                echo "checked";
			                }
		                ?>> <label>Enable Product Bundles</label>
                    </div>

                    <div class="form-group">
                        <input type="checkbox" class="enable_order_update form-control" name="co[enable_update]" <?php
                            if (isset($co_options['enable_update']) && $co_options['enable_update'] == 'on') {
                                echo "checked";
                            }
                        ?>> <label>Enable order update on status change</label>
                        <span class="woocommerce-help-tip" data-tip="Without this option only orders with processing status are synced with NetSuite"></span>
                        <?php if (isset($co_options['enable_update']) && $co_options['enable_update'] == 'on' && !empty($mapped_order_statuses)) { ?>
                                <span class="hidden_input">
                                    <table>
                                        <thead>
                                            <tr>
                                                <th>Woo Order Status</th>
                                                <th>NetSuite Status</th>
                                                <th></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php foreach ($mapped_order_statuses as $woo_status_id => $ns_order_status) { ?>
                                                <tr>
                                                    <td>
                                                        <input class="form-control" readonly name="co[status_mapping_key][]" value="<?php echo $woo_status_id; ?>">
                                                    </td>
                                                    <td>
                                                        <input class="form-control" name="co[status_mapping_value][]" value="<?php echo $ns_order_status; ?>">
                                                    </td>
                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                    </table>
                                </span>
                            <?php } else { ?>
                                <span class="hidden_input" style="display:none;">
                                    <table>
                                        <thead>
                                            <tr>
                                                <th>Woo Order Status</th>
                                                <th>NetSuite Status</th>
                                                <th></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php foreach ($woo_order_statuses as $woo_status_id => $woo_order_status) { ?>
                                                <tr>
                                                    <td>
                                                        <input class="form-control" readonly name="co[status_mapping_key][]" value="<?php echo $woo_status_id; ?>">
                                                    </td>
                                                    <td>
                                                        <input class="form-control" name="co[status_mapping_value][]">
                                                    </td>
                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                    </table>

                                </span>
                            <?php } ?>
                    </div>

                    <div class="form-group">
                        <input class="form-control" type="checkbox" name="co[sync_estimate]" <?php
                            if (isset($co_options['sync_estimate']) && $co_options['sync_estimate'] == 'on') {
                                echo "checked";
                            }
                        ?>> <label>Send Order to NetSuite as an Estimate</label>
                        <span class="woocommerce-help-tip" data-tip="Send the order as an Estimate transaction to NetSuite"></span>
                    </div>

                    <div class="form-group">
                        <label>Generic Item</label><br>
                        <input class="form-control" type="text" name="co[generic_item]" style="width: 300px" value="<?php
							if (isset($co_options['generic_item'])) {
								echo $co_options['generic_item'];
							}
						?>">
                    </div>

					<div class="form-group">
						<input class="form-control in8HideBasedOnValue" data-val="1" data-target="#in8PrefixExternalId" type="checkbox" name="co[use_external_id]" <?php
			                if ((isset($co_options['use_external_id']) && $co_options['use_external_id'] == 'on')) {
				                echo "checked";
			                }
		                ?>> <label>Send externalid to NS</label>
						<span class="woocommerce-help-tip" data-tip="Send externalid to stop duplicates from being created."></span>
					</div>

					<div class="form-group" id="in8PrefixExternalId">
						<label>Prefix for ExternalId:</label><br>
						<input class="form-control" type="text" name="co[prefix_externalid]" style="width: 300px" value="<?php
			                if (isset($co_options['prefix_externalid'])) {
				                echo empty($co_options['prefix_externalid']) ? 'wc_' : $co_options['prefix_externalid'];
			                }
		                ?>">
					</div>

					
                    <div class="form-group">
                        <input class="form-control" type="checkbox" name="co[stop_orders_from_re_syncing]" <?php
			                if (isset($co_options['stop_orders_from_re_syncing']) && $co_options['stop_orders_from_re_syncing'] == 'on') {
				                echo "checked";
			                }
		                ?>> <label>Disable orders updates</label>
                        <span class="woocommerce-help-tip" data-tip="This feature will disable the sync from updating order on NS."></span>
                    </div>
					
                    <div class="form-group">
                        <input class="form-control" type="checkbox" name="co[sync_async]" <?php
                            if ( empty($co_options) || (isset($co_options['sync_async']) && $co_options['sync_async'] == 'on') ) {
                                echo "checked";
                            }
                        ?>> <label>Sync Orders in background (recommended)</label>
                        <span class="woocommerce-help-tip" data-tip="Sync orders in background so it makes the checkout faster."></span>
                    </div>
					
	                <?php
		                $stop_fields_from_syncing = is_array( $co_options['stop_fields_from_syncing'] ) ? $co_options['stop_fields_from_syncing'] : [];
		                $stop_fields_from_syncing = array_merge(['taxamountoverride', 'overrideshippingcost', 'newaddress', 'istaxable', 'totalcostestimate', 'ccapproved'], $stop_fields_from_syncing );
		                $stop_fields_from_syncing = array_unique($stop_fields_from_syncing);
		                $stop_fields_from_syncing = apply_filters('in8_so_stop_fields_from_syncing', $stop_fields_from_syncing);
	                ?>
                    <div class="form-group">
                        <select class="select2-tags-field form-control" multiple="multiple" name="co[stop_fields_from_syncing][]">
							<?php foreach($stop_fields_from_syncing as $option){ ?>
                                <option <?= is_array($co_options['stop_fields_from_syncing']) && in_array($option, $co_options['stop_fields_from_syncing']) ? 'selected' : '' ?> ><?=$option?></option>
							<?php } ?>
                        </select>
                        <label>Stop fields from sending to NS</label>
                    </div>
                    
                    <input type="hidden" name="action" value="<?php echo In8_SalesOrder::getOptionsTagCO(); ?>" >
                    <button class="in8_button btn btn-success btn-lg">Save</button>
                </form>
            </div>
            <div class="well">
                <h4>NetSuite Order Fields Mapping</h4>       

                <!-- <div class="w3-panel w3-note">
                    <p><strong>Tip: </strong>Fields with value "0" (zero) will not get sent to NetSuite.<br/>
                    If you mark the option "Exclude in Update", the field will not get sent when syncing an existing order.<br/>
                    Click on the button to load the NetSuite custom forms, payment and shipping methods, so that will be easier to map the correct values.</p>
                </div> -->

                <form class="in8_ajax_form_save" role="form">
                    <table id="netsuite_salesorder_mapping" class="clearfix table">
                        <thead>
                            <tr>
                                <th class="h5">NetSuite Field</th>
                                <th class="h5">Value</th>
                                <th></th>
                                <th class="h5">Exclude in update</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php if (!empty($options['mapping_key']) && !empty($options['mapping_value'])) { ?>
                                    <?php for ($i = 0; $i < count($options['mapping_key']); $i++) { ?>
                                        <tr id="<?php echo $i; ?>">
                                            <td>
                                                <input class="form-control input-long cm-so-preset" name="mapping_key[]" value="<?php echo $options['mapping_key'][$i]; ?>">
                                            </td>
                                            <td>
                                                <input class="form-control input-sm" name="mapping_value[]" value="<?php echo $options['mapping_value'][$i]; ?>">
                                            </td>
                                            <td>
                                                <?php if (isset($helptext[$options['mapping_key'][$i]])) { ?>
                                                    <span class="woocommerce-help-tip" data-tip="<?php echo $helptext[$options['mapping_key'][$i]]; ?>"></span>
                                                <?php } ?>
                                            </td>
                                            <td><input type="checkbox" <?php
                                                if (isset($options['mapping_update'][$i])) {
                                                    echo "checked";
                                                }
                                                ?> name="mapping_update[<?php echo $i; ?>]" class="form-control"></td>
											<td>
												<span class="btn btn-info useSuggestiveField">?</span>
												<span class="btn btn-danger removeRow">X</span>
											</td>
                                        </tr>

                                    <?php } ?>
                                <?php } else { ?>
                                    <tr id="1">
                                        <td>
                                            <input class="form-control input-long" name="mapping_key[]">
                                        </td>
                                        <td>
                                            <input class="form-control input-sm" name="mapping_value[]">
                                        </td>
                                        <td>
                                            <input type="checkbox" name="mapping_update[0]" class="form-control">
                                        </td>
                                    </tr>
                                <?php } ?>
                        </tbody>
                    </table>
                    <input type="button" class="btn btn-primary" value="(+) Add More" id="addMoreSalesOrderMappingRows" style="float: right;" />
                    <input type="hidden" name="action" value="<?php echo In8_SalesOrder::getOptionsTag(); ?>">
                    <button class="in8_button btn btn-success btn-lg">Save</button>
                </form>
            </div>
        </div>
        <div class="col-xs-6">
            <div class="well">
                <form class="in8_ajax_form_save" role="form">
                    <h4>Special Mappings</h4>

                    <!-- <div class="w3-panel w3-note">
                        <p><strong>Tip: </strong> Enter the NetSuite field id (ie. "custbody_custom_field") and the value that the field will get assigned. It accepts both standard and custom NetSuite fields.<br/><br/>
                        Use the suffix ".text" if you would like to set the field text instead of the id (ie. "category.text" or "custbody_custom_field.text").
                            Use the values "T" or "F" when the field is a check box in NetSuite.
                        </p>
                    </div>-->
                    
                    <?php if (!empty($cm_options)) { ?>
                            <?php
                            foreach ($cm_options as $key => $cm_option) {
                                $index = $key + 1;
                                ?> 
                                <div class="well" data-index="<?php echo $index; ?>" >
                                    <table class="netsuite_salesorder_conditional_mapping table" cellspacing="0" cellpadding="0">
                                        <tbody>
                                        <span class="col-xs-offset-4">
                                            <input type="checkbox" <?php
                                            if (isset($cm_option['exlcude_in_update']) && $cm_option['exlcude_in_update']) {
                                                echo "checked";
                                            }
                                            ?> name="cm[<?php echo $index; ?>][exlcude_in_update]" class="form-control update_checkbox" />
                                            <label>Exclude in update</label>
                                        </span>
                                        <span class='btn btn-danger removeCMRow pull-right'>X</span>
                                        <tr>
                                            <td>
                                                <span class="h5">Operation</span><br />
                                                <select class="cm_operator input-sm" name="cm[<?php echo $index; ?>][operator]">
                                                    <option value="0">-- select operator --</option>
                                                    <option value="1" <?php
                                                    if ($cm_option['operator'] == 1) {
                                                        echo "selected";
                                                    }
                                                    ?>>Set NetSuite field to fixed value based on WC field value</option>
                                                    <option value="2" <?php
                                                    if ($cm_option['operator'] == 2) {
                                                        echo "selected";
                                                    }
                                                    ?>>Set NetSuite field to fixed value</option>
                                                    <option value="3" <?php
                                                    if ($cm_option['operator'] == 3) {
                                                        echo "selected";
                                                    }
                                                    ?> >Map WC field to NetSuite field</option>
                                                    <option value="4" <?php
                                                    if ($cm_option['operator'] == 4) {
                                                        echo "selected";
                                                    }
                                                    ?> >Map WC field to NetSuite field based on WC field value</option>
                                                </select>
                                            </td>
                                            <?php if ($cm_option['operator'] != 2) { ?>
                                                <td>
                                                    <span class="h6">WC field source</span><br />
                                                    <select class="cm_type input-sm" name="cm[<?php echo $index; ?>][type]">
                                                        <option value="0">-- select field type --</option>
                                                        <option value="1" <?php
                                                        if ($cm_option['type'] == 1) {
                                                            echo "selected";
                                                        }
                                                        ?>>User Field</option>
                                                        <option value="2" <?php
                                                        if ($cm_option['type'] == 2) {
                                                            echo "selected";
                                                        }
                                                        ?>>User Meta Field</option>
                                                        <option value="3" <?php
                                                        if ($cm_option['type'] == 3) {
                                                            echo "selected";
                                                        }
                                                        ?>>Order Field</option>

                                                        <option value="4" <?php
                                                        if ($cm_option['type'] == 4) {
                                                            echo "selected";
                                                        }
                                                        ?>>Order Meta Field</option>
														
														<option value="5" <?php
		                                                    if ($cm_option['type'] == 5) {
			                                                    echo "selected";
		                                                    }
	                                                    ?>>Gravity Form Field</option>
                                                    </select>
                                                </td>
                                            <?php } ?>
                                        </tr>
                                        <?php echo $cm_option['template']; ?>
                                        </tbody>
                                    </table>
                                </div>
                            <?php } ?>
                        <?php } else { ?>
                            <div class="well" data-index="1">
                                <table class="netsuite_salesorder_conditional_mapping table" cellspacing="0" cellpadding="0" >
                                    <tbody>
                                    <span style="float:right;" class='btn btn-danger removeCMRow'>X</span>
                                    <tr>
                                        <td>
                                            <span class="h5">Operation</span><br />
                                            <select class="cm_operator input-sm" name="cm[1][operator]">
                                                <option value="0" selected>-- select operator --</option>
                                                <option value="1">Set NetSuite field to fixed value based on WC field value</option>
                                                <option value="2">Set NetSuite field to fixed value</option>
                                                <option value="3">Map WC field to NetSuite field</option>
                                                <option value="4">Map WC field to NetSuite field based on WC Field Value</option>
                                            </select>
                                        </td>
                                        <td></td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        <?php } ?>
                    <input type="button" class="btn btn-primary" value="(+) Add More" id="addMoreSalesOrderConditionalMappingRows" style="float: right; margin-top: 10px;" />
                    <input type="hidden" name="main_action" value="In8_SalesOrder" >

                    <input type="hidden" name="action" value="<?php echo ConditionalMapping::$conditional_mapping_ajax_action; ?>" >

                    <button class="in8_button btn btn-success btn-lg">Save</button>
                    <hr />
                </form>
            </div>
            <div>
                <div class="btn btn-primary" id="getFormsPaymentSOFromNS">Load Internal Ids From NetSuite</div> 
                <span class="woocommerce-help-tip" data-tip="Load Custom Forms, Payment Methods and Shipping Methods from NetSuite"></span>
                <br/>
                <br/>
                <div id="formsAndPaymentMethodsSO">
                    
                    <div class="well">
                        <?php if (isset($order_forms)) { ?>
                                <table class="table table-responsive table-bordered">
                                    <caption><h4>NetSuite Sales Order Custom Forms</h4></caption>
                                    <thead class="warning">
                                    <th>Name</th>
                                    <th>Internal ID</th>
                                    </thead>
                                    <tbody>
                                        <?php foreach ($order_forms as $order_form) { ?>
                                            <tr>
                                                <td><?php echo $order_form['text']; ?></td>
                                                <td><?php echo $order_form['internalid']; ?></td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            <?php } ?>
                    </div>
                    <div class="well">
                        <?php if (isset($payment_methodsSO)) { ?>
                                <table class="table table-responsive table-bordered">
                                    <caption><h4>NetSuite Payment Methods</h4></caption>
                                    <thead class="warning">
                                    <th>Name</th>
                                    <th>Internal ID</th>
                                    </thead>
                                    <tbody>
                                        <?php foreach ($payment_methodsSO as $payment_method) { ?>
                                            <tr>
                                                <td><?php echo $payment_method['name']; ?></td>
                                                <td><?php echo $payment_method['internalId']; ?></td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            <?php } ?>

                        <?php if (isset($woo_payment_methods)) { ?>
                                <table class="table table-responsive table-bordered">
                                    <caption><h4>WooCommerce Payment Methods</h4></caption>
                                    <thead class="warning">
                                    <th>ID</th>
                                    <th>Title</th>
                                    </thead>
                                    <tbody>
                                        <?php foreach ($woo_payment_methods as $payment_method_id => $woo_payment_method) { ?>
                                            <tr>
                                                <td><?php echo $payment_method_map_prefix . $payment_method_id; ?></td>
                                                <td><?php echo $woo_payment_method['title']; ?></td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            <?php } ?>
                    </div>
                    <div class="well">
                        <?php if (isset($ship_methods)) { ?>
                                <table class="table table-responsive table-bordered">
                                    <caption><h4>NetSuite Shipping Methods</h4></caption>
                                    <thead class="warning">
                                    <th>Name</th>
                                    <th>Internal ID</th>
                                    </thead>
                                    <tbody>
                                        <?php foreach ($ship_methods as $ship_method) { ?>
                                            <tr>
                                                <td><?php echo $ship_method['itemid']; ?></td>
                                                <td><?php echo $ship_method['internalId']; ?></td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            <?php } ?>
                        <?php if (isset($woo_shipping_methods)) { ?>
                                <table class="table table-responsive table-bordered">
                                    <caption><h4>WooCommerce Shipping Methods</h4></caption>
                                    <thead class="warning">
                                    <th>Ship Method ID</th>
                                    <th>Title</th>
                                    </thead>
                                    <tbody>
                                        <?php
                                        foreach ($woo_shipping_methods as $woo_ship_method_id => $woo_ship_method) {
                                            if (!isset($woo_ship_method['services'])) {
                                                ?>
                                                <tr>
                                                    <td><?php echo $ship_method_map_prefix . $woo_ship_method['service_id_on_order']; ?></td>
                                                    <td><?php echo $woo_ship_method['title']; ?></td>
                                                </tr>
                                            <?php } else { ?>
                                                <?php foreach ($woo_ship_method['services'] as $service) { ?>
                                                    <tr>
                                                        <td><?php echo $ship_method_map_prefix . $service['service_id_on_order']; ?></td>
                                                        <td><?php echo $service['service_name']; ?></td>
                                                    </tr>
                                                    <?php
                                                }
                                            }
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            <?php } ?>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
<script src="<?php echo In8_SalesOrder_URL; ?>inc/assets/js/script.js"></script>

