<?php

/**
 * This is API endpoint which will used to search for post title based on posttype
 */
class search_posts_by_internalid extends WC_API_Resource {

    protected $base = '/search_posts_by_internalid';

    public function register_routes($routes) {
        $routes[$this->base] = array(
            array(array($this, 'get'), WC_API_Server::READABLE | WC_API_Server::EDITABLE | WC_API_Server::ACCEPT_DATA)
        );

        return $routes;
    }

    public function get() {
        $internal_id = $_REQUEST['internalid'];
        $post_type = $_REQUEST['post_type'];
        if (!empty($internal_id) && !empty($post_type)) {
            global $wpdb;
            $rd_args = array(
                'meta_key' => 'internalid',
                'meta_value' => $internal_id,
                'post_type' => $post_type
            );

            $rd_query = new WP_Query($rd_args);

// The Loop
            if ($rd_query->have_posts()) {
                if($rd_query->found_posts > 1) {
                    echo json_encode(['status' => 'failed', 'message' => "More than one records found."]);
                    exit();
                }
                while ( $rd_query->have_posts() ) {
                    $post_id = $rd_query->post->ID;
                }
            } else {
                echo json_encode(['status' => 'failed', 'message' => "No record found against search critarea"]);
                exit();
            }


            if (!empty($post_id)) {
                echo json_encode(["ID" => $post_id]);
                exit();
            }
        } else {
            echo json_encode(['status' => 'failed', 'message' => "Invalid REQUEST data"]);
            exit();
        }
    }

}
