(function ($) {

    $(document).on('click', ".not_empty_check", function () {
        if ($(this).is(":checked")) {
            $(this).parent().next('td').find('input.input-sm').prop("disabled", true);
        } else {
            $(this).parent().next('td').find('input.input-sm').prop("disabled", false);
        }
    });
    
    $('#sync_on_creation').on("click", function () {
        if ($(this).is(":checked")) {
            $("#sync_on_hold").attr('checked', false);
            $("#sync_on_payment_complete").attr('checked', false);
        }
    });
    $('#sync_on_hold').on("click", function () {
        if ($(this).is(":checked")) {
            $("#sync_on_creation").attr('checked', false);
            $("#sync_on_payment_complete").attr('checked', false);
        }
    });
    $('#sync_on_payment_complete').on("click", function () {
        if ($(this).is(":checked")) {
            $("#sync_on_creation").attr('checked', false);
            $("#sync_on_hold").attr('checked', false);
        }
    });

    $('.enable_order_update').on("click", function () {
        if ($(this).is(":checked")) {
            $(this).parent().find(".hidden_input").show();
        } else {
            $(this).parent().find(".hidden_input").hide();
        }
    });

    $('.reprocessFailedOrder').on('click', function (e) {
        if (!confirm("Are you sure ? This will try to send all non-synced orders with processing status to NS")) {
            e.preventDefault();
        }
    });

    $(document).on('change', ".cm_operator", function () {
        var cm_operator = $(this).val();
        if (cm_operator != 0) {
            var this_table = $(this).closest('table');
            var cm_box_index = this_table.parent('div').data('index');
            if (cm_operator == 2) {
                this_table.find('tbody tr').eq(0).find('td:gt(0)').remove();
                processSO(1, 2, this_table);
            } else if (cm_operator == 1 || cm_operator == 4 || cm_operator == 3) {
                this_table.find('tbody tr:gt(0)').remove();
                getSOTypeDropdown(this_table, cm_box_index);
            }
        }
    });

    $(document).on('change', ".cm_type", function () {
        var cm_type = $(this).val();
        if (cm_type != 0) {
            var cm_operator = $(this).closest('td').prev('td').find('.cm_operator').val();
            if (cm_operator != 0) {
                var this_table = $(this).closest('table');
                processSO(cm_type, cm_operator, this_table);
            }
        }
    });

    $(document).on('click', ".removeCMRow", function () {
        if (confirm("This action can't be undone")) {
            //truncating first row instead of removing
            if ($('.netsuite_salesorder_conditional_mapping').length == 1) {
                //reset input and select
                $('.netsuite_salesorder_conditional_mapping tbody tr td').eq(1).empty();
                $('.netsuite_salesorder_conditional_mapping tbody tr:gt(0)').remove();
                $('.netsuite_salesorder_conditional_mapping').find('select').each(function () {
                    $(this).val(0);
                });
            } else {
                $(this).parent().remove();
            }
        }
    });

    $(document).on('click', "#addMoreSalesOrderConditionalMappingRows", function () {
        var clone_this = $(this).prev('div'); //get prev table to clone

        var current_index = clone_this[0].dataset.index; //get current index
        var next = parseInt(current_index) + 1; //increment table index   

        clone_this[0].dataset.index = next; //increment table index
        clone_this.find('tbody .cm_operator').attr('name', 'cm[' + next + '][operator]');
        $(this).before(clone_this.clone()); // add new mapping row by cloing prev table

        clone_this[0].dataset.index = current_index; //fix for prev table
        clone_this.find('tbody .cm_operator').attr('name', 'cm[' + current_index + '][operator]');

        //reset input and select
        $('.netsuite_salesorder_conditional_mapping:last tbody tr:gt(0)').remove();

        $('.netsuite_salesorder_conditional_mapping:last tbody tr').eq(0).find('td').eq(1).empty();

        $('.netsuite_salesorder_conditional_mapping:last').parent().find('.update_checkbox').attr('checked', false);

        $('.netsuite_salesorder_conditional_mapping:last').find('select').each(function () {
            $(this).val(0);
        });
    });
    $(document).on('click', ".removeRow", function () {
        $(this).parent().parent().remove();
    });

    $(document).on('click', "#addMoreSalesOrderMappingRows", function () {

        var num_rows = parseInt(jQuery('#netsuite_salesorder_mapping tbody tr:last').attr('id'));
        var row_index = num_rows + 1;

        var html = '<tr id="' + row_index + '"><td><input class="form-control input-sm cm-so-preset" name="mapping_key[]"></td><td><input class="form-control input-sm" name="mapping_value[]"></td><td></td><td><input type="checkbox" name="mapping_update[' + num_rows + ']" class="form-control"></td><td> <span class="btn btn-info useSuggestiveField">?</span> <span class="btn btn-danger removeRow">X</span></td></tr>';
        $('#netsuite_salesorder_mapping tbody').append(html);
    });

    $(document).on('click', '#netsuite_salesorder_mapping .useSuggestiveField', function(e){
        e.preventDefault();
        var $inp = $(this).parents('tr').find('.cm-so-preset');
        if( !$(this).hasClass('active') ) {
            $(this).addClass('active');
            console.log($inp)
            var defaults = ['customform', 'terms', 'location', 'leadsource', 'salesrep', 'class', 'istaxable', 'shipcomplete', 'subsidiary', 'department', 'couponcode', 'shipping_default', 'price_level'];
            var data = [];
            for(var x in defaults){
                data.push({
                    id: defaults[x],
                    text: defaults[x]
                })
            }
            if ($inp.val()) {
                var val = $inp.val();
                var added = false;
                for (var i in data) {
                    if (data[i].id == val) {
                        added = true;
                        data[i].selected = true;
                        break;
                    }
                }
                if (!added) {
                    data.push({
                        'id': val,
                        'text': val,
                        'selected': true,
                    })
                }
            }
            var dynamicId = 'cm-so-preset-' + Date.now();
            $inp.replaceWith('<select class="form-control input-sm cm-so-preset" id="' + dynamicId + '" name="mapping_key[]"></select>');
            $('#' + dynamicId).select2({
                tags: true,
                data: data,
            });
        }else{
            $(this).removeClass('active');
            $inp.select2('destroy');
            $inp.replaceWith('<input class="form-control input-long cm-so-preset" name="mapping_key[]" value="'+$inp.val()+'">');
        }
    })

})(jQuery);

function getSOTypeDropdown(this_table, cm_box_index) {
    var template = '<td><span class="h5">WC field source</span><br/><select class="cm_type" name="cm[' + cm_box_index + '][type]"><option value="0" selected>-- select field type --</option><option value="1">User Field</option><option value="2">User Meta Field</option><option value="3">Order Field</option><option value="4">Order Meta Field</option><option value="5">Gravity Form Field</option></select></td>';
    this_table.find('tbody tr').eq(0).find('td:gt(0)').remove();
    this_table.find('tbody tr').eq(0).append(template);
}

function processSO(cm_type, cm_operator, this_table) {
    var index = this_table.parent('div').data('index');
    if (this_table.find("tbody tr").length > 1 && !confirm("This action can't be undone")) {
        return false;
    }

    this_table.find("tr:gt(0)").remove();
    var template = getSOTemplate(cm_type, cm_operator, index);

    if (template !== false) {
        this_table.find("tbody").append(template);
    }
}
//get conditional mapping template based on type and operator
function getSOTemplate(type, operator, index) {
    var html_template = '';

    jQuery.ajax({
        url: ajaxurl,
        dataType: 'json',
        type: 'POST',
        async: false,
        data: {
            'action': 'get_conditional_mapping_template',
            'type': type,
            'operator': operator,
            'index': index
        },
        success: function (data) {
            if (data.status == 1) {
                html_template = data.template;
            }
        }
    });

    return html_template;
}

jQuery(document).ready( function($) {
	$('#getFormsPaymentSOFromNS').click( function() {
		var data = {
			'action': 'In8_SalesOrder_FP',
		};

        $('#formsAndPaymentMethodsSO').html('Loading. Please wait...');

		$.post(ajaxurl, data, function(response) {
			$('#formsAndPaymentMethodsSO').html(response);
		});
	});
});